%global momorel 2

Name:           perl-Catalyst-Model-DBIC-Schema
Version:        0.43
Release:        %{momorel}m%{?dist}
Summary:        DBIx::Class::Schema Model Class
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Catalyst-Model-DBIC-Schema/
Source0:        http://www.cpan.org/authors/id/R/RK/RKITOVER/Catalyst-Model-DBIC-Schema-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 5.8.1
BuildRequires:  perl-Carp-Clan
BuildRequires:  perl-Catalyst-Runtime >= 5.80005
BuildRequires:  perl-CatalystX-Component-Traits >= 0.14
BuildRequires:  perl-DBIx-Class >= 0.08114
BuildRequires:  perl-DBIx-Class-Cursor-Cached
BuildRequires:  perl-DBIx-Class-Schema-Loader
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-List-MoreUtils
BuildRequires:  perl-Moose >= 0.90
BuildRequires:  perl-MooseX-NonMoose
BuildRequires:  perl-MooseX-Types
BuildRequires:  perl-namespace-autoclean
BuildRequires:  perl-Test-Exception
BuildRequires:  perl-Test-Simple >= 0.94
BuildRequires:  perl-Tie-IxHash
Requires:       perl-Carp-Clan
Requires:       perl-Catalyst-Runtime >= 5.80005
Requires:       perl-CatalystX-Component-Traits >= 0.14
Requires:       perl-DBIx-Class >= 0.08114
Requires:       perl-DBIx-Class-Cursor-Cached
Requires:       perl-DBIx-Class-Schema-Loader
Requires:       perl-List-MoreUtils
Requires:       perl-Moose >= 0.90
Requires:       perl-MooseX-NonMoose
Requires:       perl-MooseX-Types
Requires:       perl-namespace-autoclean
Requires:       perl-Tie-IxHash
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This is a Catalyst Model for DBIx::Class::Schema-based Models. See the
documentation for Catalyst::Helper::Model::DBIC::Schema for information on
generating these Models via Helper scripts.

%prep
%setup -q -n Catalyst-Model-DBIC-Schema-%{version}

# Filter unwanted Requires:
cat << \EOF > %{name}-req
#!/bin/sh
%{__perl_requires} $* |\
  sed -e '/perl(Catalyst::Model::DBIC::Schema::Types)/d'

EOF
%define __perl_requires %{_builddir}/Catalyst-Model-DBIC-Schema-%{version}/%{name}-req
chmod +x %{name}-req

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README TODO
%{perl_vendorlib}/Catalyst/Helper/Model
%{perl_vendorlib}/Catalyst/Model
%{perl_vendorlib}/Catalyst/TraitFor
%{_mandir}/man3/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.43-2m)
- full rebuild for mo7 release

* Sun Jul 25 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.43-1m)
- update to 0.43

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.41-2m)
- rebuild against perl-5.12.1

* Wed Apr 28 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.41-1m)
- update to 0.41

* Wed Apr 28 2010 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.40-2m)
- add BuildRequires:  perl-DBIx-Class-Schema-Loader and Requires
- add BuildRequires:  perl-DBIx-Class-Cursor-Cached and Requires

* Sun Apr 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.40-1m)
- update to 0.40
- Specfile re-generated by cpanspec 1.78.

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.36-2m)
- rebuild against perl-5.12.0

* Fri Jan 15 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.36-1m)
- update to 0.36

* Fri Jan  1 2010 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.35-2m)
- update to BuildRequires:  perl-DBIx-Class >= 0.08114
- update to Requires:       perl-DBIx-Class >= 0.08114

* Sun Dec 27 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.35-1m)
- update to 0.35

* Sun Dec 27 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.33-1m)
- update to 0.33

* Sat Dec 26 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.32-1m)
- update to 0.32

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.31-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Sat Oct 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.31-1m)
- update to 0.31

* Thu Sep 10 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.29-1m)
- update to 0.29

* Sat Aug 29 2009 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.28-2m)
- add BR perl-Class-Accessor-Grouped

* Fri Aug 28 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.28-1m)
- update to 0.28

* Tue Aug 25 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.26-3m)
- add rm -rf %%{__perl_requires}

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.26-2m)
- rebuild against perl-5.10.1

* Tue Aug  4 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.26-1m)
- update to 0.26

* Thu Jul  2 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.25-2m)
- add BuildRequires:  perl-DBIx-Class-Cursor-Cached

* Thu Jun 25 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.25-1m)
- update to 0.25

* Tue Jun 23 2009 Masahiro Takahata <takahata@momonga-linux.org>
- (0.24-2m)
- modify BuildRequires: perl-DBIx-Class >= 0.08107

* Thu Jun 18 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.24-1m)
- update to 0.24

* Tue May  5 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.23-1m)
- update to 0.23

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.21-2m)
- rebuild against rpm-4.6

* Mon Aug 25 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.21-1m)
- update to 0.21

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.20-2m)
- rebuild against gcc43

* Sun Jun  3 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.20-1m)
- update to 0.20
- use Makefile.PL

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.18-3m)
- use vendor

* Sat Oct 07 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.18-2m)
- delete dupclicate directory

* Mon Oct 02 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (0.18-1m)
- Specfile autogenerated by cpanspec 1.68 for Momonga Linux.
